summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/reproducible_lede.sh3
-rwxr-xr-xbin/reproducible_openwrt.sh3
2 files changed, 4 insertions, 2 deletions
diff --git a/bin/reproducible_lede.sh b/bin/reproducible_lede.sh
index 97671514..120f5ca9 100755
--- a/bin/reproducible_lede.sh
+++ b/bin/reproducible_lede.sh
@@ -33,7 +33,8 @@ case $1 in
;;
esac
$@
- exit $?
+ trap - INT TERM EXIT
+ exit 0
;;
master)
# master code following
diff --git a/bin/reproducible_openwrt.sh b/bin/reproducible_openwrt.sh
index 07f86796..b3d66750 100755
--- a/bin/reproducible_openwrt.sh
+++ b/bin/reproducible_openwrt.sh
@@ -33,7 +33,8 @@ case $1 in
;;
esac
$@
- exit $?
+ trap - INT TERM EXIT
+ exit 0
;;
master)
# master code following